// similar to return types of CommuniApp REST API
export interface IEvent {
    id?: number
    titleFormatted: string
    locationFormatted: string
    descriptionDescriptionFormatted: string
    dateTime: string
    endDateTime: string
    isOfficial: boolean
    videoUrl?: string
    group?: number
    createdBy?: number
    state: EventState
}

export interface EventState {
    id?: number
    event?: IEvent
    publishYoutube: boolean
    publishFacebook: boolean
    publishInstagram: boolean

    // FIXME: 
    eventId?: number
}

export type CommuniEvent = IEvent